For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Scaling Action Details by ID

Retrieves the details of a scaling action specified by its ID. This operation returns metadata, properties, and the current status, for the specified scaling action

get
Authorizations
AuthorizationstringRequired

Authorization is granted when a valid proof of identity is provided along with an API request for data. This proof of identity is in the form of a JSON web access token, a unique string that identifies a user.

Example Request Header

Authorization: Bearer ACCESS_TOKEN

Path parameters
actionIdstring · uuidRequired
groupIdstringRequired
Query parameters
depthnumberOptional

With this parameter, you control the level of detail of the response objects:

  • 0: Only direct properties are included; children (such as executions or transitions) are not considered.

  • 1: Direct properties and children references are included.

  • 2: Direct properties and children properties are included.

  • 3: Direct properties and children properties and children's children are included.

  • etc.

Default: 0
Responses
200

OK

application/json

The scaling action associated with a VM Auto Scaling Group.

idstring · uuidRead-onlyRequired

The unique resource identifier.

Example: 2ab638d4-b4b4-4a1a-9a33-553059364fc8
typestringRead-onlyOptional

The resource type.

Example: autoscaling-action
hrefstring · uriRead-onlyOptional

The absolute URL to the resource's representation.

Example: https://api.ionos.com/autoscaling/groups/1d67ca27-d4c0-419d-9a64-9ea42dfdd036/actions/2ab638d4-b4b4-4a1a-9a33-553059364fc8
get/groups/{groupId}/actions/{actionId}
GET /autoscaling/groups/{groupId}/actions/{actionId} HTTP/1.1
Host: api.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "2ab638d4-b4b4-4a1a-9a33-553059364fc8",
  "type": "autoscaling-action",
  "href": "https://api.ionos.com/autoscaling/groups/1d67ca27-d4c0-419d-9a64-9ea42dfdd036/actions/2ab638d4-b4b4-4a1a-9a33-553059364fc8",
  "metadata": {
    "createdDate": "2021-06-21T08:46:01.249829Z",
    "etag": "text",
    "lastModifiedDate": "2021-07-26T09:30:39.562006Z",
    "state": "AVAILABLE"
  },
  "properties": {
    "actionStatus": "SUCCESSFUL",
    "actionType": "SCALE_OUT"
  }
}

Last updated

Was this helpful?